package com.yh.saas.plugin.yiliangyiyun.mapper;


import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yh.saas.plugin.yiliangyiyun.entity.ContractManagementInfo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 合同管理 Mapper 接口
 * </p>
 *
 * @author Gongdc
 * @since 2021-05-17
 */
public interface ContractManagementInfoMapper extends BaseMapper<ContractManagementInfo> {

    /**
     * 根据条件查询合同总数
     *
     * @param pageView
     * @return
     */
    Integer getCountByCondition(Map<String, Object> pageView);

    /**
     * 根据条件查询合同信息列表
     *
     * @param pageView
     * @return
     */
    List<ContractManagementInfo> getListByCondition(Map<String, Object> pageView);
    Double selectSumSale(String compId);
    Double selectSumBuy(String compId);
}
